Package org.silverpeas.mobile.shared.dto.workflow

## Class WorkflowFormActionDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.workflow.WorkflowFormActionDTO

- All Implemented Interfaces:
    `Serializable`

      public class WorkflowFormActionDTO
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkflowFormActionDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addField​(WorkflowFieldDTO f)` |
    `boolean` | `equals​(Object obj)` |
    `String` | `getActionName()` |
    `List<WorkflowFieldDTO>` | `getFields()` |
    `String` | `getId()` |
    `String` | `getTitle()` |
    `void` | `setActionName​(String actionName)` |
    `void` | `setFields​(List<WorkflowFieldDTO> fields)` |
    `void` | `setId​(String id)` |
    `void` | `setTitle​(String title)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowFormActionDTO

          public WorkflowFormActionDTO()

  - ### Method Detail

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### setFields

          public void setFields​(List<WorkflowFieldDTO> fields)

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### getFields

          public List<WorkflowFieldDTO> getFields()

    - #### addField

          public void addField​(WorkflowFieldDTO f)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle​(String title)

    - #### getActionName

          public String getActionName()

    - #### setActionName

          public void setActionName​(String actionName)